> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rosetta.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Scan Wallet

> Scan a wallet address for all lending positions across supported protocols and chains.



## OpenAPI

````yaml GET /positions/{address}
openapi: 3.0.3
info:
  title: Circular API
  description: >-
    DeFi risk intelligence API by Rosetta — markets, vaults, positions, risk
    analysis, credit ratings, and portfolio management across Morpho Blue, Aave
    V3, and other lending protocols.
  version: 1.0.0
  contact:
    name: Rosetta
    url: https://rosetta.sh
servers:
  - url: https://api.circular.rosetta.sh/api/v1
    description: Production
security:
  - BearerApiKey: []
tags:
  - name: Markets
    description: Lending market data — overview, search, compare, history, positions
  - name: Tokens
    description: Token metadata and oracle feeds
  - name: Vaults
    description: Vault data — overview, concentration, depositors
  - name: Positions
    description: Position scanning — wallet positions, loops, vault positions
  - name: Risk
    description: >-
      Risk analysis — dashboard, concentration, depeg simulation, protocol
      health
  - name: Liquidations
    description: Liquidation feed and history
  - name: Analytics
    description: Strategy breakdown, trends, yield opportunities, whale monitoring
  - name: Research
    description: Deep market research, deployment analysis, borrow strategy
  - name: Ratings
    description: Credit ratings — methodology, market ratings, vault ratings
  - name: Portfolios
    description: Portfolio management — overview, risk, yield, alerts, liquidity
  - name: Health
    description: API health check
  - name: Agent
    description: Agent risk API — risk checks and policy defaults
  - name: Client
    description: Client self-service — profile, API keys, usage, quota dashboard
paths:
  /positions/{address}:
    get:
      tags:
        - Positions
      summary: Scan wallet positions
      description: >-
        Scan a wallet address for all lending positions across supported
        protocols and chains.
      operationId: scanWallet
      parameters:
        - $ref: '#/components/parameters/WalletAddress'
        - $ref: '#/components/parameters/ChainIds'
      responses:
        '200':
          description: Wallet positions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Position'
                  meta:
                    $ref: '#/components/schemas/Meta'
        '400':
          description: Handler error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HandlerErrorResponse'
components:
  parameters:
    WalletAddress:
      name: address
      in: path
      required: true
      schema:
        type: string
      description: Ethereum wallet address (0x...)
    ChainIds:
      name: chainIds
      in: query
      schema:
        type: string
      description: Comma-separated chain IDs to filter by
  schemas:
    Position:
      type: object
      properties:
        protocol:
          type: string
        chainId:
          type: integer
        user:
          type: object
          properties:
            address:
              type: string
        healthFactor:
          type: number
          nullable: true
          description: '>= 1 is safe, < 1 is liquidatable'
        state:
          type: object
          properties:
            collateralUsd:
              type: number
            borrowAssetsUsd:
              type: number
            supplyAssetsUsd:
              type: number
        market:
          type: object
          properties:
            uniqueKey:
              type: string
            collateralAsset:
              type: object
              properties:
                symbol:
                  type: string
            loanAsset:
              type: object
              properties:
                symbol:
                  type: string
            lltv:
              type: number
        leverage:
          type: number
        distanceToLiq:
          type: number
          nullable: true
    Meta:
      type: object
      properties:
        latencyMs:
          type: number
          description: Server-side processing time in milliseconds
        freshness:
          type: string
          description: Data freshness indicator (live, cached, snapshot)
        source:
          type: string
          description: Which protocol(s) provided data
    HandlerErrorResponse:
      type: object
      description: Returned when a handler returns success false (HTTP 400)
      properties:
        error:
          type: string
          description: Error message from the handler
        meta:
          $ref: '#/components/schemas/Meta'
  securitySchemes:
    BearerApiKey:
      type: http
      scheme: bearer
      description: API key in format circ_live_* or circ_test_*

````